Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class WebUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.util.WebUtils

    public class WebUtils

Utility methods to access commons objects and perform common web related functions for the internal framework.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static java.lang.String` | `DISPATCH_ACTION_PARAMETER`
`static java.lang.String` | `ENABLE_FILE_EXTENSIONS`
`static char` | `SLASH`

Method Summary
`static boolean` | `areFileExtensionsEnabled()` Returns the value of the "grails.mime.file.extensions" setting configured in COnfig.groovy
`static java.lang.String` | `buildDispatchUrlForMapping(UrlMappingInfo info)` Constructs the URI to forward to using the given request and UrlMappingInfo instance
`static void` | `clearGrailsWebRequest()` Removes any GrailsWebRequest instance from the current request.
`static java.lang.String` | `forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info)` @see org.codehaus.groovy.grails.web.util.WebUtils#forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.codehaus.groovy.grails.web.mapping.UrlMappingInfo, java.util.Map)
`static java.lang.String` | `forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model)` @see #forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.codehaus.groovy.grails.web.mapping.UrlMappingInfo, java.util.Map, boolean)
`static java.lang.String` | `forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model, boolean includeParams)` Forwards a request for the given UrlMappingInfo object and model
`static java.lang.String` | `getFormatFromURI(java.lang.String uri)` Obtains the format from the URI.
`static java.lang.String` | `getForwardURI(HttpServletRequest request)` Obtains the forwardURI from the request, since Grails uses a forwarding technique for URL mappings.
`static java.lang.String` | `getRequestURIForGrailsDispatchURI(HttpServletRequest request)` The Grails dispatch servlet maps URIs like /app/grails/example/index.dispatch.
`static IncludedContent` | `includeForUrl(java.lang.String includeUrl, HttpServletRequest request, HttpServletResponse response, java.util.Map model)` Includes the given URL returning the resulting content as a String
`static IncludedContent` | `includeForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model)` Include whatever the given UrlMappingInfo maps to within the current response
`static GrailsApplication` | `lookupApplication(ServletContext servletContext)` Looks up the GrailsApplication instance
`static HandlerInterceptor[]` | `lookupHandlerInterceptors(ServletContext servletContext)` Looks up all of the HandlerInterceptor instances registered for the application
`static UrlMappingsHolder` | `lookupUrlMappings(ServletContext servletContext)` Looks up the UrlMappingsHolder instance
`static ViewResolver` | `lookupViewResolver(ServletContext servletContext)`
`static WebRequestInterceptor[]` | `lookupWebRequestInterceptors(ServletContext servletContext)` Looks up all of the WebRequestInterceptor instances registered with the application
`static View` | `resolveView(HttpServletRequest request, UrlMappingInfo info, java.lang.String viewName, ViewResolver viewResolver)` Resolves a view for the given view and UrlMappingInfo instance
`static View` | `resolveView(HttpServletRequest request, java.lang.String viewName, java.lang.String controllerName, ViewResolver viewResolver)` Resolves a view for the given view name and controller name
`static GrailsWebRequest` | `retrieveGrailsWebRequest()` Returns the GrailsWebRequest associated with the current request.
`static void` | `storeGrailsWebRequest(GrailsWebRequest webRequest)` Helper method to store the given GrailsWebRequest for the current request.
`static java.lang.String` | `toQueryString(java.util.Map params, java.lang.String encoding)` Converts the given params into a query string started with ?
`static java.lang.String` | `toQueryString(java.util.Map parameters)` Converts the given parameters to a query string using the default UTF-8 encoding

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DISPATCH_ACTION_PARAMETER

    public static final java.lang.String DISPATCH_ACTION_PARAMETER

### ENABLE_FILE_EXTENSIONS

    public static final java.lang.String ENABLE_FILE_EXTENSIONS

### SLASH

    public static final char SLASH

Method Detail

### areFileExtensionsEnabled

    @SuppressWarnings("rawtypes")
    public static boolean areFileExtensionsEnabled()

  Returns the value of the "grails.mime.file.extensions" setting configured in COnfig.groovy
  Returns:
    True if file extensions are enabled

### buildDispatchUrlForMapping

    public static java.lang.String buildDispatchUrlForMapping(UrlMappingInfo info)

  Constructs the URI to forward to using the given request and UrlMappingInfo instance
  Parameters:
    `info` - The UrlMappingInfo
  Returns:
    The URI to forward to

### clearGrailsWebRequest

    public static void clearGrailsWebRequest()

  Removes any GrailsWebRequest instance from the current request.

### forwardRequestForUrlMappingInfo

    public static java.lang.String forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info)

  See Also:
    WebUtils.forwardRequestForUrlMappingInfo

### forwardRequestForUrlMappingInfo

    @SuppressWarnings("rawtypes")
    public static java.lang.String forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model)

  See Also:
    forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.codehaus.groovy.grails.web.mapping.UrlMappingInfo, java.util.Map, boolean)

### forwardRequestForUrlMappingInfo

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public static java.lang.String forwardRequestForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model, boolean includeParams)

  Forwards a request for the given UrlMappingInfo object and model
  throws:
    ServletException Thrown when an error occurs executing the forward
  throws:
    IOException Thrown when an error occurs executing the forward
  Parameters:
    `request` - The request
    `response` - The response
    `info` - The UrlMappingInfo object
    `model` - The Model
    `includeParams` - Whether to include any request parameters
  Returns:
    The URI forwarded too

### getFormatFromURI

    public static java.lang.String getFormatFromURI(java.lang.String uri)

  Obtains the format from the URI. The format is the string following the . file extension in the last token of the URI. If nothing comes after the ".", this method assumes that there is no format and returns `null`.
  Parameters:
    `uri` - The URI
  Returns:
    The format or null if none

### getForwardURI

    public static java.lang.String getForwardURI(HttpServletRequest request)

  Obtains the forwardURI from the request, since Grails uses a forwarding technique for URL mappings. The actual request URI is held within a request attribute
  Parameters:
    `request` - The request
  Returns:
    The forward URI

### getRequestURIForGrailsDispatchURI

    public static java.lang.String getRequestURIForGrailsDispatchURI(HttpServletRequest request)

  The Grails dispatch servlet maps URIs like /app/grails/example/index.dispatch. This method infers the controller URI for the dispatch URI so that /app/grails/example/index.dispatch becomes /app/example/index
  Parameters:
    `request` - The request

### includeForUrl

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public static IncludedContent includeForUrl(java.lang.String includeUrl, HttpServletRequest request, HttpServletResponse response, java.util.Map model)

  Includes the given URL returning the resulting content as a String
  Parameters:
    `includeUrl` - The URL to include
    `request` - The request
    `response` - The response
    `model` - The model
  Returns:
    The content

### includeForUrlMappingInfo

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public static IncludedContent includeForUrlMappingInfo(HttpServletRequest request, HttpServletResponse response, UrlMappingInfo info, java.util.Map model)

  Include whatever the given UrlMappingInfo maps to within the current response
  Parameters:
    `request` - The request
    `response` - The response
    `info` - The UrlMappingInfo
    `model` - The model
  Returns:
    The included content

### lookupApplication

    public static GrailsApplication lookupApplication(ServletContext servletContext)

  Looks up the GrailsApplication instance
  Returns:
    The GrailsApplication instance

### lookupHandlerInterceptors

    public static HandlerInterceptor[] lookupHandlerInterceptors(ServletContext servletContext)

  Looks up all of the HandlerInterceptor instances registered for the application
  Parameters:
    `servletContext` - The ServletContext instance
  Returns:
    An array of HandlerInterceptor instances

### lookupUrlMappings

    public static UrlMappingsHolder lookupUrlMappings(ServletContext servletContext)

  Looks up the UrlMappingsHolder instance
  Parameters:
    `servletContext` - The ServletContext object
  Returns:
    The UrlMappingsHolder

### lookupViewResolver

    public static ViewResolver lookupViewResolver(ServletContext servletContext)

### lookupWebRequestInterceptors

    public static WebRequestInterceptor[] lookupWebRequestInterceptors(ServletContext servletContext)

  Looks up all of the WebRequestInterceptor instances registered with the application
  Parameters:
    `servletContext` - The ServletContext instance
  Returns:
    An array of WebRequestInterceptor instances

### resolveView

    public static View resolveView(HttpServletRequest request, UrlMappingInfo info, java.lang.String viewName, ViewResolver viewResolver)

  Resolves a view for the given view and UrlMappingInfo instance
  throws:
    Exception
  Parameters:
    `request` - The request
    `info` - The info
    `viewName` - The view name
    `viewResolver` - The view resolver
  Returns:
    The view or null

### resolveView

    public static View resolveView(HttpServletRequest request, java.lang.String viewName, java.lang.String controllerName, ViewResolver viewResolver)

  Resolves a view for the given view name and controller name
  throws:
    Exception Thrown if an error occurs
  Parameters:
    `request` - The request
    `viewName` - The view name
    `controllerName` - The controller name
    `viewResolver` - The resolver
  Returns:
    A View or null

### retrieveGrailsWebRequest

    public static GrailsWebRequest retrieveGrailsWebRequest()

  Returns the GrailsWebRequest associated with the current request. This is the preferred means of accessing the GrailsWebRequest instance. If the exception is undesired, you can use RequestContextHolder.getRequestAttributes() instead.
  throws:
    IllegalStateException if this is called outside of a request.

### storeGrailsWebRequest

    public static void storeGrailsWebRequest(GrailsWebRequest webRequest)

  Helper method to store the given GrailsWebRequest for the current request. Ensures consistency between RequestContextHolder and the relevant request attribute. This is the preferred means of updating the current web request.

### toQueryString

    @SuppressWarnings("rawtypes")
    public static java.lang.String toQueryString(java.util.Map params, java.lang.String encoding)

  Converts the given params into a query string started with ?
  throws:
    UnsupportedEncodingException If the given encoding is not supported
  Parameters:
    `params` - The params
    `encoding` - The encoding to use
  Returns:
    The query string

### toQueryString

    @SuppressWarnings("rawtypes")
    public static java.lang.String toQueryString(java.util.Map parameters)

  Converts the given parameters to a query string using the default UTF-8 encoding
  throws:
    UnsupportedEncodingException If UTF-8 encoding is not supported
  Parameters:
    `parameters` - The parameters
  Returns:
    The query string

Groovy Documentation